/**
Theme Name: MK Signs POS Portal
Author: Big Marketing Ltd.
Author URI: https://bigmarketing.co.uk/
Description: A lightweight Salient child theme built exclusively for presentation-layer customization of a private, role-restricted WooCommerce portal. This theme contains only visual adjustments and WooCommerce template overrides where hooks are insufficient. All business logic, access control, and workflows are intentionally handled via custom plugins to ensure upgrade safety, maintainability, and clean separation of concerns.
Version: 1.0.0
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Template: salient
*/
/*************************************************
1 General
*************************************************/
body .full-width-content .vc_col-sm-12 .woocommerce.columns-dynamic .nectar-woo-flickity .flickity-slider .flickity-cell {
  display: flex;
  min-height: 100%;
}

body .full-width-content .vc_col-sm-12 .woocommerce.columns-dynamic .nectar-woo-flickity .flickity-slider .flickity-cell > .product {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

@media only screen and (min-width: 1000px) {
  body #footer-outer .row {
    padding: 45px 0;
  }

  .woocommerce-ResetPassword .form-row-first,
.woocommerce-ResetPassword.lost_reset_password .form-row label,
.woocommerce-lost-password .woocommerce-form-row .woocommerce-Button {
    font-size: 1.25rem;
    line-height: 1.5rem;
    display: block;
    width: 49%;
    min-width: 500px;
  }
}
@media only screen and (max-width: 999px) {
  .woocommerce-lost-password .woocommerce-ResetPassword .form-row-first {
    width: 100%;
    max-width: 500px;
  }

  .woocommerce-lost-password .woocommerce-form-row .woocommerce-Button {
    font-size: 1.25rem;
    line-height: 1.5rem;
    display: block;
    width: 100%;
    max-width: 500px;
  }
}
/*************************************************
2 HEADER
*************************************************/
#masthead.site-header .ast-primary-header-bar {
  background-color: #3d3935;
}

#colophon.site-footer .site-below-footer-wrap {
  background-color: #3d3935 !important;
}
#colophon.site-footer .site-below-footer-wrap .ast-footer-copyright {
  color: #ffffff;
}

/*************************************************
3 WooCommerce
*************************************************/
.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link:not(.is-active) > a {
  color: #000;
  opacity: 1;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link.is-active > a {
  color: #c8102e;
}

.woocommerce-MyAccount-content h2 {
  font-size: 1.5rem;
  line-height: 1.75rem;
}

.woocommerce-checkout h2.woocommerce-order-details__title,
.woocommerce-checkout .woocommerce-customer-details h2.woocommerce-column__title {
  font-size: 1.75rem;
  line-height: 2.25rem;
}

.woocommerce-MyAccount-content h3,
.woocommerce-checkout h3 {
  font-size: 1.25rem;
  line-height: 1.5rem;
}

.woocommerce-account .main-content .woocommerce > #customer_login .nectar-form-controls {
  max-width: 550px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
}

.woocommerce-account .main-content .woocommerce > #customer_login .nectar-form-controls .control {
  flex: 0 0 50%;
  margin: 0;
  font-size: 1.75rem;
  padding: 10px;
}

.woocommerce-account .main-content .woocommerce > #customer_login .nectar-form-controls .control.active {
  background-color: rgba(200, 16, 46, 0.15);
}

.woocommerce-checkout .wc-block-checkout__form #shipping-fields .wc-block-components-checkout-step__content .saw-addresses .components-flex,
.woocommerce-checkout .wc-block-checkout__form #billing-fields .wc-block-components-checkout-step__content .saw-addresses .components-flex {
  height: auto;
}

.woocommerce-checkout .wc-block-checkout__form #shipping-fields .wc-block-components-checkout-step__content .saw-addresses ul .components-form-token-field__suggestion,
.woocommerce-checkout .wc-block-checkout__form #billing-fields .wc-block-components-checkout-step__content .saw-addresses ul .components-form-token-field__suggestion {
  font-size: 1rem;
  line-height: 1.25rem;
}

.woocommerce-checkout .wc-block-checkout__form #shipping-fields .wc-block-components-checkout-step__content .saw-addresses .components-flex-item,
.woocommerce-checkout .wc-block-checkout__form #billing-fields .wc-block-components-checkout-step__content .saw-addresses .components-flex-item {
  max-height: none !important;
}

/*Login and Register forms buttons*/
.woocommerce-form-login .form-row .woocommerce-Button,
.woocommerce-EditAccountForm p .woocommerce-Button,
.woocommerce-account .woocommerce-form-register button.button,
.woocommerce-MyAccount-content .woocommerce-address-fields p .button {
  font-size: 1.25rem;
  line-height: 1.5rem;
  display: block;
  width: 100%;
}

/* Lock Address Fields on Checkout Page */
.woocommerce-checkout #billing-country {
  display: none !important;
}
.woocommerce-checkout input[name^=billing_],
.woocommerce-checkout input[name^=shipping_] {
  pointer-events: none !important;
  background: #f5f5f5 !important;
  cursor: not-allowed !important;
}

/*Multiselect Dropdown Styling Fix*/
.woocommerce form .form-row select[multiple] {
  height: auto !important;
  min-height: 10rem !important;
  overflow-y: auto;
  -webkit-appearance: listbox !important;
  -moz-appearance: listbox !important;
  appearance: listbox !important;
  background-image: none !important;
}

/* Register New Branch Form*/
#pos-new-branch-form > .acf-fields {
  margin-bottom: 1rem;
}
#pos-new-branch-form > .acf-fields > .acf-field {
  padding: 0.5rem 0;
  border: none;
}
#pos-new-branch-form > .acf-fields > .acf-field .acf-label {
  margin-bottom: -2px;
}
#pos-new-branch-form > .acf-fields > .acf-field .acf-label label {
  margin-bottom: 0;
}
#pos-new-branch-form > .acf-fields > .acf-field .acf-input .acf-input-wrap input {
  padding: 0.75rem;
  line-height: 1rem;
  font-size: 1.25rem;
  background-color: transparent;
  border: 1px solid #000000;
}

/*Branches List - Dealer Admin Page*/
.pos-branch-list {
  margin-bottom: 1rem;
}
.pos-branch-list .pos-branch-accordion {
  margin-bottom: 12px;
  background: #fff;
}
.pos-branch-list .pos-branch-accordion > summary {
  list-style: none;
  cursor: pointer;
  padding: 14px 16px;
  /* more top & bottom padding */
  background: rgba(0, 0, 0, 0.035);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: flex;
  align-items: center;
  transition: background-color 200ms ease, color 200ms ease;
}
.pos-branch-list .pos-branch-accordion > summary::-webkit-details-marker {
  display: none;
}
.pos-branch-list .pos-branch-accordion > summary strong {
  color: inherit;
}
.pos-branch-list .pos-branch-accordion[open] > summary {
  background: #c8102e;
  color: #fff;
}
.pos-branch-list .pos-branch-users {
  border: 1px solid rgba(0, 0, 0, 0.12);
  border-top: none;
  padding: 1rem 0.5rem 0;
  margin-top: -0.25rem;
}
.pos-branch-list .pos-branch-users p {
  margin: 0;
}

/* Smooth open/close animation */
.pos-branch-accordion > summary + * {
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  transition: grid-template-rows 250ms ease, -ms-grid-rows 250ms ease;
  margin-top: 8px;
}

/* Prevent content bleed during animation */
.pos-branch-accordion > summary + * > * {
  overflow: hidden;
}

/* Expanded state */
.pos-branch-accordion[open] > summary + * {
  grid-template-rows: 1fr;
}

/*Out of stock ribbon*/
.woocommerce ul.products li.product {
  position: relative;
}

.wc-oos-badge {
  position: absolute;
  top: 12px;
  left: 12px;
  padding: 0.4em 0.6em;
  font-size: 12px;
  line-height: 1;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 3px;
  z-index: 9;
  background: #111;
  color: #fff;
}